"use strict";
cc._RF.push(module, '8ebafXsDcdE7YtGoJClM75E', 'TouchEvent');
// Script/TouchEvent.ts

Object.defineProperty(exports, "__esModule", { value: true });
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var NewClass = /** @class */ (function (_super) {
    __extends(NewClass, _super);
    function NewClass() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.useCaption = false;
        _this.scrollView = null;
        return _this;
    }
    NewClass.prototype.onLoad = function () {
        var _this = this;
        this.loadResPrefab("SpriteA").then(function (prefab) {
            var node = cc.instantiate(prefab);
            _this.scrollView.content.addChild(node);
            _this.scrollView.content.setContentSize(cc.size(node.width, node.height));
        });
        // this.scrollView.content.on(cc.Node.EventType.TOUCH_START,this.onContentClick,this);
        this.node.on(cc.Node.EventType.TOUCH_START, this.onClick, this);
    };
    NewClass.prototype.onContentClick = function (event) {
        cc.log("touchevent content:", this.node.name);
    };
    NewClass.prototype.onClick = function (event) {
        cc.log("touchevent:", this.node.name);
    };
    NewClass.prototype.onScroll = function () {
        cc.log("scroll");
    };
    NewClass.prototype.loadResPrefab = function (path) {
        return new Promise(function (resolve, reject) {
            cc.loader.loadRes(path, function (err, prefabClass) {
                if (err) {
                    cc.error(err);
                    reject(err);
                }
                else {
                    resolve(prefabClass);
                }
            });
        });
    };
    __decorate([
        property
    ], NewClass.prototype, "useCaption", void 0);
    __decorate([
        property(cc.ScrollView)
    ], NewClass.prototype, "scrollView", void 0);
    NewClass = __decorate([
        ccclass
    ], NewClass);
    return NewClass;
}(cc.Component));
exports.default = NewClass;

cc._RF.pop();